Account
All operations require authentication, except the 2 marked Public.
List SMS accountsProduction
List SMS accounts. Returns the service names of the SMS accounts of the customer. Get an SMS account for its status, credits left and settings.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get rates for a countryProductionPublic
Get rates for a country. Returns the credits consumed and the price of one SMS sent to a country, for credits bought in the billing country, with the VAT rate.
Query parameters
Country where you buy credits
esfrgbieitplCountry where you send SMS
adaeafagaialallamanaoaratauawazbabbbdbebfbgbhbibjbmbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedkdmdzeceeegesetfifjfkfofrgagbgdgegfghgiglgmgngpgqgrgtgugwgyhkhnhrhthuidieilinioiqirisitjmjojpkekgkhkmknkrkwkykzlalblclilklrlsltlulvlymamdmemgmkmlmnmomqmrmsmtmumvmwmxmymznancnengninlnonpnzompapepfpgphpkplpsptpyqarerorsrurwsasbscsdsesgsiskslsmsnsosrstsvsysztctdtgthtjtltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzwResponse
The country full name
The country 2-letters code
adaeafagaialallamanaoaratauawazbabbbdbebfbgbhbibjbmbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedkdmdzeceeegesetfifjfkfofrgagbgdgegfghgiglgmgngpgqgrgtgugwgyhkhnhrhthuidieilinioiqirisitjmjojpkekgkhkmknkrkwkykzlalblclilklrlsltlulvlymamdmemgmkmlmnmomqmrmsmtmumvmwmxmymznancnengninlnonpnzompapepfpgphpkplpsptpyqarerorsrurwsasbscsdsesgsiskslsmsnsosrstsvsysztctdtgthtjtltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzwCredits consumed by sending one SMS towards the given destination
Price of one SMS sent towards the given destination
The VAT rate applied from the provided billing country.
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ rates/ destinations{ "country": "string", "countryCode": "ad", "credit": 0, "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "vatRate": 0}
List SMS pack pricesProductionPublic
List SMS pack prices. Returns the SMS packs that can be bought for a destination country: credit and SMS quantities, prices, discount and VAT rate.
Query parameters
Country where you buy credits
esfrgbieitplCountry where you send SMS
adaeafagaialallamanaoaratauawazbabbbdbebfbgbhbibjbmbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedkdmdzeceeegesetfifjfkfofrgagbgdgegfghgiglgmgngpgqgrgtgugwgyhkhnhrhthuidieilinioiqirisitjmjojpkekgkhkmknkrkwkykzlalblclilklrlsltlulvlymamdmemgmkmlmnmomqmrmsmtmumvmwmxmymznancnengninlnonpnzompapepfpgphpkplpsptpyqarerorsrurwsasbscsdsesgsiskslsmsnsosrstsvsysztctdtgthtjtltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzwResponse
Destination country code
adaeafagaialallamanaoaratauawazbabbbdbebfbgbhbibjbmbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedkdmdzeceeegesetfifjfkfofrgagbgdgegfghgiglgmgngpgqgrgtgugwgyhkhnhrhthuidieilinioiqirisitjmjojpkekgkhkmknkrkwkykzlalblclilklrlsltlulvlymamdmemgmkmlmnmomqmrmsmtmumvmwmxmymznancnengninlnonpnzompapepfpgphpkplpsptpyqarerorsrurwsasbscsdsesgsiskslsmsnsosrstsvsysztctdtgthtjtltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzwCredits consumed by sending one SMS towards the given destination
Price of one credit, including pack's promotion
Maximum quantity (excluded) of credit to order to have this price
Minimum quantity (included) of credit to order to have this price
Price of one credit, during a promotional event
Percentage applied as part of a promotional event
Price of one SMS, during a promotional event
Price of one SMS sent towards the given destination, including pack's promotion
Maximum quantity (excluded) of SMS you can obtain with this pack
Minimum quantity (included) of SMS you can obtain with this pack
The VAT rate applied from the provided billing country.
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ rates/ packs[ { "countryCode": "ad", "credit": 0, "creditPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "creditQuantityMax": 0, "creditQuantityMin": 0, "discountCreditPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "discountPercentage": 0, "discountSmsPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "smsPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "smsQuantityMax": 0, "smsQuantityMin": 0, "vatRate": 0 }]
Get an SMS accountProduction
Get an SMS account. Returns the SMS account: status, credits left, callback URLs, automatic recredit settings and channel.
Path parameters
The internal name of your SMS offer
Response
Pack quantity automatic recredit possibilities
1002002505001000500010000URL called when state of a sent SMS changes
For what purpose this account can be used for
bothmarketingtransactionalCredit threshold after which an automatic recredit is launched
IAM resource metadata
Whether the account can be used for smpp or not
A structure describing how to manage an sms Response
Account status
disableenableURL called when a STOP is received after a receiver replied stop to a SMS
A structure describing all information about templates informations
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "automaticRecreditAmount": 100, "callBack": "string", "channel": "both", "creditThresholdForAutomaticRecredit": 0, "creditsHoldByQuota": 0, "creditsLeft": 0, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "name": "string", "smpp": true, "smsResponse": { "cgiUrl": "string", "responseType": "cgi", "text": "string", "trackingDefaultSmsSender": "string", "trackingOptions": [ { "media": "email", "sender": "string", "target": "string" } ] }, "status": "disable", "stopCallBack": "string", "templates": { "customizedEmailMode": true, "customizedSmsMode": true, "emailBody": "string", "emailFrom": "string", "emailSubject": "string", "smsBody": "string" }, "userQuantityWithQuota": 0}
Update an SMS accountProduction
Update an SMS account. Updates the SMS account settings, such as the callback URLs, the templates and the automatic recredit.
Path parameters
The internal name of your SMS offer
Request body (required)
Pack quantity automatic recredit possibilities
1002002505001000500010000URL called when state of a sent SMS changes
For what purpose this account can be used for
bothmarketingtransactionalCredit threshold after which an automatic recredit is launched
Whether the account can be used for smpp or not
A structure describing how to manage an sms Response
Account status
disableenableURL called when a STOP is received after a receiver replied stop to a SMS
A structure describing all information about templates informations
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Export SMS to a documentProduction
Export SMS to a document. Generates a document with the SMS of the account, filtered by tag, date, direction or batch. Returns the identifier of the document in /me/document.
Path parameters
The internal name of your SMS offer
Query parameters
Filter SMSs with their batch ID (outgoing SMSs only)
Filter the value of creationDatetime property (>=)
Filter the value of creationDatetime property (<=)
Select sms with a specific identifier group tag
specify outgoing or incoming sms
incomingoutgoingResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ document \
-H "authorization: Bearer $OVH_TOKEN""string"
List sending restrictions for a numberProduction
List sending restrictions for a number. Returns the operator restrictions and substitutions that apply when sending SMS to the given number.
Path parameters
The internal name of your SMS offer
Query parameters
The receiver number to check
Response
The abreviated country code.
The exception message
The list of operators impacted.
The type of routing restriction imposed by the operator
ALPHABAD_DLRBLOCKEDCODINGDLRFLASHONLYMSISDNThe substitution sender used to bypass operator filter
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ exceptions \
-H "authorization: Bearer $OVH_TOKEN"[ { "countrySuffixe": "string", "messages": [ "string" ], "operators": "string", "restrictionCode": "ALPHA", "substitution": "string" }]
List SMS offersProduction
List SMS offers. Returns the SMS pack offers available for the account, by quantity and destination country.
Path parameters
The internal name of your SMS offer
Query parameters
Filter to have the currency country prices
allcaczdeenesfifrgbieitltmanlplppptqcrusksntnweFilter to have the country destination
adaeafagaialallamanaoaratauawazbabbbdbebfbgbhbibjbmbnbobrbsbtbwbybzcacdcfcgchcickclcmcncocrcucvcyczdedkdmdzeceeegesetfifjfkfofrgagbgdgegfghgiglgmgngpgqgrgtgugwgyhkhnhrhthuidieilinioiqirisitjmjojpkekgkhkmknkrkwkykzlalblclilklrlsltlulvlymamdmemgmkmlmnmomqmrmsmtmumvmwmxmymznancnengninlnonpnzompapepfpgphpkplpsptpyqarerorsrurwsasbscsdsesgsiskslsmsnsosrstsvsysztctdtgthtjtltmtntotrtttwtzuaugusuyuzvcvevgvivnvuwsyeytzazmzwSms pack offer quantity
1002002505001000250050001000025000500001000001000000Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ seeOffers \
-H "authorization: Bearer $OVH_TOKEN"[ { "countryDestination": "string", "giftPrice": 0, "giftQuantity": 0, "language": "string", "price": 0, "quantity": 0, "smsQuantity": 0, "totalPrice": 0 }]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your SMS offer
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your SMS offer
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List tasksProduction
List tasks. Returns the identifiers of the operations run on the SMS account. Get a task for its function, current step and status.
Path parameters
The internal name of your SMS offer
Query parameters
Filter the value of status property (=)
doingdoneerrorpausetodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns an operation run on the SMS account, with the function performed, its current step and its status.
Path parameters
The internal name of your SMS offer
Response
The task function
cleanSmsReceiversTask status
doingdoneerrorpausetodoThe task step
checkOrdercreateHlrsfinishingsendMailReportstartingwaitForHlrsExample uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "cleanSmsReceivers", "status": "doing", "step": "checkOrder", "taskId": 0}
Transfer creditsProduction
Transfer credits. Transfers an amount of credits from this SMS account to another SMS account, given by its service name.
Path parameters
The internal name of your SMS offer
Request body (required)
Amount of credits to transfer.
Sms account destination.
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ transferCredits \
-H "authorization: Bearer $OVH_TOKEN"